Skip to main content
POST
/
api
/
pricing
/
proposals
/
{key}
/
review
Review Proposal
curl --request POST \
  --url https://api.merchantops.ai/api/pricing/proposals/{key}/review \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "<string>",
  "modified_amount": 123,
  "review_notes": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Body

application/json

Request body for reviewing a single proposal.

status
string
required

Review decision: approved, rejected, or modified

modified_amount
number | null
review_notes
string | null

Response

Successful Response